if [ ! -r etc/rc.d/rc.modules ]; then
   mv etc/rc.d/rc.modules.new etc/rc.d/rc.modules
fi

# Install the right module set
if [ "`/bin/arch`" = "sparc64" ]; then
   rm -rf lib/modules/2.4.27/*
   tar -xzf install/modules64.tgz
else
   rm -rf lib/modules/2.4.27/*
   tar -xzf install/modules32.tgz
fi

( cd lib/modules/2.4.27 ; rm -rf build )
( cd lib/modules/2.4.27 ; ln -sf /usr/src/linux-2.4.27 build )

# Build module dependencies
chroot . /sbin/depmod -a 2>/dev/null

# Clean up
rm -rf install/modules32.tgz 2> /dev/null
rm -rf install/modules64.tgz 2> /dev/null
